From ed7910ef44e7089d49dc10e99c928be96c60da04 Mon Sep 17 00:00:00 2001
From: Bruce Momjian <bruce@momjian.us>
Date: Tue, 30 Jan 2001 17:37:49 +0000
Subject: [PATCH] Update /contrib README and add init.d from Ryan.

---
 contrib/README            | 21 +++++++++++++++++++
 contrib/init.d/README     |  8 +++++++
 contrib/init.d/postgresql | 44 +++++++++++++++++++++++++++++++++++++++
 3 files changed, 73 insertions(+)
 create mode 100644 contrib/init.d/README
 create mode 100644 contrib/init.d/postgresql

diff --git a/contrib/README b/contrib/README
index cf2b5c21de8..3df55ac566d 100644
--- a/contrib/README
+++ b/contrib/README
@@ -47,6 +47,11 @@ fulltextindex -
 	Full text indexing using triggers
 	by Maarten Boekhold <maartenb@dutepp0.et.tudelft.nl>
 
+init.d - 
+	Scripts for starting and stopping the PostgreSQL server on
+	a non-Linux systems
+	by Ryan Kirkpatrick <pgsql@rkirkpat.net>
+	
 intarray -
 	Index support for arrays of int4, using GiST
 	by Teodor Sigaev <teodor@stack.net> and Oleg Bartunov
@@ -77,9 +82,17 @@ miscutil -
 	PostgreSQL assert checking and various utility functions
 	by Massimo Dal Zotto <dz@cs.unitn.it>
 
+mysql -
+	utility to convert MySQL schema dumps to SQL92 and PostgreSQL
+	by Thomas Lockhart <lockhart@alumni.caltech.edu>
+
 noupdate -
 	trigger to prevent updates on single columns
 
+oid2name - 
+	maps numeric files to table names
+	by B Palmer <bpalmer@crimelabs.net>
+
 pg_dumplo -
 	Dump large objects
 	by Karel Zak <zakkr@zf.jcu.cz>
@@ -92,6 +105,14 @@ pgcrypto -
 	Cryptographic hash functions
 	by Marko Kreen <marko@l-t.ee>
 
+retep -
+	tools to build retep tools packages
+	by Peter T Mount <peter@retep.org.uk>
+
+rserv -
+	replication server
+	by Vadim B. Mikheev <vadim4o@email.com>
+
 seg -
 	Confidence-interval datatype (GiST indexing example)
 	by Gene Selkov, Jr. <selkovjr@mcs.anl.gov>
diff --git a/contrib/init.d/README b/contrib/init.d/README
new file mode 100644
index 00000000000..a30cb788392
--- /dev/null
+++ b/contrib/init.d/README
@@ -0,0 +1,8 @@
+	postgresql -> This is a Linux distribution independent (or so I
+hope) init.d/rc.d script that makes use of pg_ctl. There is currently a
+few in ./contrib/linux of the pgsql source tree, but they are RedHat
+specific. This one is simple and self contained. 
+
+---------------------------------------------------------------------------
+|   Ryan Kirkpatrick  |  Boulder, Colorado  |  http://www.rkirkpat.net/   |
+---------------------------------------------------------------------------
diff --git a/contrib/init.d/postgresql b/contrib/init.d/postgresql
new file mode 100644
index 00000000000..205ccda4325
--- /dev/null
+++ b/contrib/init.d/postgresql
@@ -0,0 +1,44 @@
+#! /bin/sh
+#
+# PostgreSQL	Start the pgsql RDMBS.	
+
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/home/postgres/bin/pg_ctl
+NAME=postmaster
+FILE=postgresql
+ARGS="-w -D /home/postgres/data -o -i -o -F"
+USER="postgres:postgres"
+LOG="/home/postgres/server.log"
+DESC="PostgreSQL RDBMS"
+
+test -f $DAEMON || exit 0
+
+set -e
+
+case "$1" in
+  start)
+	echo -n "Starting $DESC: "
+	su - postgres sh -c "$DAEMON start $ARGS >& $LOG"
+	echo "$NAME."
+	;;
+  stop)
+	echo -n "Stopping $DESC: "
+	su - postgres sh -c "$DAEMON stop >& /dev/null"
+	echo "$NAME."
+	;;
+  restart)
+	/etc/init.d/$FILE stop
+	sleep 5
+	/etc/init.d/$FILE start
+	;;
+  status)
+	su - postgres $DAEMON status
+	;;
+  *)
+	N=/etc/init.d/$FILE
+	echo "Usage: $N {start|stop|restart|status}" >&2
+	exit 1
+	;;
+esac
+
+exit 0
-- 
GitLab